<div class="chatbox chatbox22 chatbox--tray">
    <div class="chatbox__title">
        <h5><a href="javascript:void()">Assistant virtuel</a></h5>
        <!--<button class="chatbox__title__tray">
    <span></span>
</button>-->
        <button class="chatbox__title__close">
            <span>
                <svg viewBox="0 0 12 12" width="12px" height="12px">
                    <line stroke="#FFFFFF" x1="11.75" y1="0.25" x2="0.25" y2="11.75"></line>
                    <line stroke="#FFFFFF" x1="11.75" y1="11.75" x2="0.25" y2="0.25"></line>
                </svg>
            </span>
        </button>
    </div>
    <div class="chatbox__body">
        <div *ngFor="let message of messages; let i=index"  class="chatbox__body__message chatbox__body__message--{{message.role == 'assistant' ? 'left':'right'}}" >

            
            <img src="{{message.role == 'user' ? getAvatarUrl(userData ? userData.image : null): 'assets/img/robot.png'}}" alt="Picture">
            <div class="clearfix"></div>
            <div class="ul_section_full">
                <ul class="ul_msg">
                    <li><strong>{{message.role == 'assistant' ? 'Assistant':'Vous'}}</strong></li>
                    <li>{{message.message}} </li>
                </ul>
                <div class="clearfix"></div>
                
            </div>

        </div>
        
        
    </div>
    <div class="panel-footer">
        <form [formGroup]="form" >
        <div class="input-group d-flex align-items-stretch">
            <input formControlName="message" id="btn-input" type="text" class="form-control input-sm chat_set_height"
                placeholder="Ecrivez votre message ici..." tabindex="0" dir="ltr" spellcheck="false"
                autocomplete="off" autocorrect="off" autocapitalize="off" contenteditable="true" />

            <!-- <span class="input-group-btn"> -->
                <button class="btn bt_bg btn-sm btn-primary" type="submit" (click)="sendMessage()" id="btn-chat">
                    Envoyer</button>
            <!-- </span> -->
        </div>
        </form>
    </div>
</div>